[arch-commits] Commit in mame/repos (5 files)

Alexander Rødseth arodseth at archlinux.org
Wed Dec 2 15:21:03 UTC 2020


    Date: Wednesday, December 2, 2020 @ 15:21:02
  Author: arodseth
Revision: 769170

archrelease: copy trunk to community-staging-x86_64

Added:
  mame/repos/community-staging-x86_64/
  mame/repos/community-staging-x86_64/PKGBUILD
    (from rev 769169, mame/trunk/PKGBUILD)
  mame/repos/community-staging-x86_64/mame.desktop
    (from rev 769169, mame/trunk/mame.desktop)
  mame/repos/community-staging-x86_64/mame.sh
    (from rev 769169, mame/trunk/mame.sh)
  mame/repos/community-staging-x86_64/mame.svg
    (from rev 769169, mame/trunk/mame.svg)

--------------+
 PKGBUILD     |   89 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mame.desktop |   20 ++++++++++++
 mame.sh      |   55 +++++++++++++++++++++++++++++++++++
 3 files changed, 164 insertions(+)

Copied: mame/repos/community-staging-x86_64/PKGBUILD (from rev 769169, mame/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-12-02 15:21:02 UTC (rev 769170)
@@ -0,0 +1,89 @@
+# Maintainer: Antonio Rojas <arojas at archlinux.org>
+# Contributor: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: robb_force <robb_force at holybuffalo.net>
+# Contributor: JJDaNiMoTh <jjdanimoth at gmail.com>
+
+pkgname=mame
+pkgver=0.226
+pkgrel=2
+pkgdesc='Port of the popular Multiple Arcade Machine Emulator using SDL with OpenGL support'
+url="https://mamedev.org/"
+license=(GPL2)
+arch=(x86_64)
+depends=(sdl2_ttf qt5-base lua53 libutf8proc pugixml portmidi portaudio flac)
+makedepends=(nasm python asio rapidjson glm libxinerama)
+conflicts=(sdlmame)
+replaces=(sdlmame)
+source=("https://github.com/mamedev/mame/archive/mame${pkgver/./}.tar.gz"
+         mame.sh mame.desktop mame.svg)
+sha256sums=('7c4c9ec232ba988e65fd29665c9b8e40b5ac3aa9f561eeb107cebbf08ba94baf'
+            'ee1c59bafc5e5441e99fa4c58108a3e18048e60672f34de865c8a5a976094dba'
+            '0e5e93f84673c2d17a1bf7a6b256cfa54ef89a086a828df19bc054c12776d821'
+            '17c442c933d764175e4ce1de50a80c0c2ddd5d733caf09c3cd5e6ba697ac43f4')
+
+
+prepare() {
+  cd mame-mame${pkgver/./}
+
+# Use system libraries
+  sed -e 's|\# USE_SYSTEM_LIB|USE_SYSTEM_LIB|g' -i makefile
+# except for asio
+  sed -e 's|USE_SYSTEM_LIB_ASIO|\# USE_SYSTEM_LIB_ASIO|g' -i makefile
+}
+
+build() {
+  cd mame-mame${pkgver/./}
+  export CFLAGS+=" -I/usr/include/lua5.3/"
+  export CXXFLAGS+=" -I/usr/include/lua5.3/"
+
+# Hack to force linking to lua5.3
+  mkdir lib
+  ln -s /usr/lib/liblua5.3.so lib/liblua.so
+  export LDFLAGS+=" -L${PWD}/lib"
+
+  make \
+    NOWERROR=1 \
+    OPTIMIZE=2 \
+    TOOLS=1 \
+    ARCHOPTS=-flifetime-dse=1
+}
+
+package() {
+  cd mame-mame${pkgver/./}
+
+  # Install the mame script
+  install -Dm755 "$srcdir"/$pkgname.sh "$pkgdir"/usr/bin/$pkgname
+
+  # Install the binaries
+  install -Dm755 mame64 "$pkgdir"/usr/lib/mame/mame
+  for _i in castool chdman floptool imgtool jedutil ldresample ldverify nltool nlwav pngcmp regrep romcmp \
+            split srcclean testkeys unidasm; do
+    install -m755 $_i -t "$pkgdir"/usr/lib/mame
+    ln -s /usr/lib/mame/$_i "$pkgdir"/usr/bin/mame-$_i
+  done
+
+  # Install the extra bits
+  install -Dm644 src/osd/modules/opengl/shader/glsl*.*h -t "$pkgdir"/usr/lib/$pkgname/shader/
+  cp -ar {artwork,bgfx,plugins,language,ctrlr,keymaps,hash} "$pkgdir"/usr/lib/$pkgname/
+
+  # Include the license
+  install -Dm644 docs/LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  # FS#28203
+  sed -i 's|KEYCODE_2_PAD|KEYCODE_2PAD|' "$pkgdir"/usr/lib/mame/ctrlr/*.cfg
+  sed -i 's|KEYCODE_4_PAD|KEYCODE_4PAD|' "$pkgdir"/usr/lib/mame/ctrlr/*.cfg
+  sed -i 's|KEYCODE_6_PAD|KEYCODE_6PAD|' "$pkgdir"/usr/lib/mame/ctrlr/*.cfg
+  sed -i 's|KEYCODE_8_PAD|KEYCODE_8PAD|' "$pkgdir"/usr/lib/mame/ctrlr/*.cfg
+
+  # documentation
+  install -dm0755 "$pkgdir"/usr/share/doc
+  cp -a docs "$pkgdir"/usr/share/doc/$pkgname
+  rm -r "$pkgdir"/usr/share/doc/$pkgname/man
+  install -d "$pkgdir"/usr/share/man/man{1,6}
+  install -m644 docs/man/*.1* "$pkgdir"/usr/share/man/man1/
+  install -m644 docs/man/*.6* "$pkgdir"/usr/share/man/man6/
+
+  # install desktop file and icon
+  install -Dm644 "$srcdir"/mame.desktop -t "$pkgdir"/usr/share/applications
+  install -Dm644 "$srcdir"/mame.svg -t "$pkgdir"/usr/share/icons/hicolor/scalable/apps
+}

Copied: mame/repos/community-staging-x86_64/mame.desktop (from rev 769169, mame/trunk/mame.desktop)
===================================================================
--- community-staging-x86_64/mame.desktop	                        (rev 0)
+++ community-staging-x86_64/mame.desktop	2020-12-02 15:21:02 UTC (rev 769170)
@@ -0,0 +1,20 @@
+[Desktop Entry]
+Name=MAME™ Arcade Emulator
+Name[ca]=Emulador de jocs arcade MAME™
+Name[fr]=Emulateur arcade MAME™
+Name[it]=Emulatore di giochi arcade MAME™
+GenericName=Arcade Emulator
+GenericName[ca]=Emulador de jocs arcade
+GenericName[fr]=Emulateur arcade
+GenericName[it]=Emulatore di giochi arcade
+Comment=Play vintage arcade games using the MAME™ emulator
+Comment[ca]=Jugueu a jocs d'arcade antics emprant l'emulador MAME™
+Comment[fr]=Jugueu a jocs d'arcade antics emprant l'emulador MAME™
+Comment[it]=Gioca ai vecchi arcade con l'emulatore MAME™
+Exec=mame
+Icon=mame
+Terminal=false
+Type=Application
+Categories=Game;Emulator;
+Keywords=Game;Emulator;Arcade;
+

Copied: mame/repos/community-staging-x86_64/mame.sh (from rev 769169, mame/trunk/mame.sh)
===================================================================
--- community-staging-x86_64/mame.sh	                        (rev 0)
+++ community-staging-x86_64/mame.sh	2020-12-02 15:21:02 UTC (rev 769170)
@@ -0,0 +1,55 @@
+#!/bin/sh
+mame=/usr/lib/mame/mame
+
+mame_first_run() {
+  echo "Creating an ini file for MAME at $HOME/.mame/mame.ini"
+  echo "Modify this file for permanent changes to your MAME"
+  echo "options and paths before running MAME again."
+
+  cd -- ~/.mame || exit
+
+  if [ -e mame.ini ]; then
+    mv mame.ini mameini.bak || exit
+    echo "Your old ini file has been renamed to mameini.bak"
+  fi
+
+  # Note: the single quotes here are not a mistake; MAME will save these
+  # strings verbatim into its configuration file, and expand the variables when
+  # it is run in future.
+  "$mame" \
+    -artpath '$HOME/.mame/artwork;/usr/lib/mame/artwork' \
+    -bgfx_path '$HOME/.mame/bgfx;/usr/lib/mame/bgfx' \
+    -ctrlrpath '$HOME/.mame/ctrlr;/usr/lib/mame/ctrlr' \
+    -hashpath '$HOME/.mame/hash;/usr/lib/mame/hash' \
+    -languagepath '$HOME/.mame/language;/usr/lib/mame/language' \
+    -pluginspath '/usr/lib/mame/plugins' \
+    -inipath '$HOME/.mame/ini' \
+    -rompath '$HOME/.mame/roms' \
+    -samplepath '$HOME/.mame/samples' \
+    -cfg_directory '$HOME/.mame/cfg' \
+    -comment_directory '$HOME/.mame/comments' \
+    -diff_directory '$HOME/.mame/diff' \
+    -input_directory '$HOME/.mame/inp' \
+    -nvram_directory '$HOME/.mame/nvram' \
+    -snapshot_directory '$HOME/.mame/snap' \
+    -state_directory '$HOME/.mame/sta' \
+    -video opengl \
+    -createconfig
+}
+
+if [ "$1" = "--newini" ]; then
+  mame_first_run
+  exit
+elif ! [ -e ~/.mame ]; then
+  echo "Running MAME for the first time..."
+
+  mkdir -- ~/.mame
+  (
+    cd -- ~/.mame || exit
+    mkdir artwork bgfx cfg comments ctrlr diff hash ini inp language nvram samples snap sta roms
+
+    mame_first_run
+  ) || exit
+fi
+
+exec "$mame" "$@"

Copied: mame/repos/community-staging-x86_64/mame.svg (from rev 769169, mame/trunk/mame.svg)
===================================================================
(Binary files differ)



More information about the arch-commits mailing list